Public Class ExceptionXMLPublisher
Implements IExceptionXmlPublisher

    Public Sub Publish(ByVal ExceptionInfo As XmlDocument, ByVal ConfigSettings As NameValueCollection) Implements IExceptionXmlPublisher.Publish
        Dim filename As String

        If Not ConfigSettings Is Nothing Then
            filename = ConfigSettings("fileName")
        Else
            filename = "C:\ErrorLog.xml"
        End If

        Dim fs As FileStream = File.Open(filename, FileMode.Create, FileAccess.ReadWrite)
        Dim writer As StreamWriter = New StreamWriter(fs)

        writer.Write(ExceptionInfo.OuterXml)
        writer.Close()
        fs.Close()

    End Sub
End Class
